Problem sa instalacijom copy.com klijenta na ubuntu server

To ne mogu znati…ako je taj server tvoja fizička mašina, onda možeš da proveriš da li postoji hardverski problem, a ako je neki hosting, ne verujem da možeš bilo šta da učiniš po tom pitanju.

Kakogod, ako ti nije problem, sačekaj još malo da probam i na 32 bita…

Jeste, kod mene je fizički. Sve sam isproveravao. Ne verujem da je hardverski problem, sve sam isproveravao, a i sve ostalo radi sem tog copy.com klijenta.

Čekam, nije problem. :slight_smile:

Upravo završio…i na 32 bita kod mene sve radi…

[ATTACH]3572.IPB[/ATTACH][ATTACH]3573.IPB[/ATTACH]

Ono što sam primetio je da ako putanja nije ispravna, pravi različite probleme:

[email protected]:~/copy/x86$ ./CopyConsole [email protected] -r=/home/dragan/Copy -p=password

u putanji
-r=/home/dragan/Copy
Copy mora biti sa velikim početnim slovom

U home diru na serveru, imaš 2 dira…copy i Copy…proveri da možda tu negde nije problem

Pazio sam na svaki detalj, ali opet ista greška. :frowning:

u tvojoj poruci ovde
http://www.foss.rs/topic/2867-problem-sa-instalacijom-copycom-klijenta-na-ubuntu-server/?p=45558

vidim da je u putanji malo slovo za copy dir…

LM, što se mene tiče, probao bih sledeće:
-Kreiranje novog usera na serveru
-dodela u sudoers
-instalacija copy klijenta pod novim userom, ali bez pokretanja onog copy agenta

Moguće da sam tada iskucao sa malim slovom, evo probah opet i isto. Probaću malo kasnije pa javim rezultate, sad sam malo u gužvi.

još nešto bi možda trebalo proveriti:
u tvom /home/goran/.copy diru, nalazi se i .lock fajl…ako je kojim slučajem napunjen zbog neke prethodne greške, moguće da ne dozvoljava normalan start klijenta.
Ako bilo šta postoji u njemu, obriši ga…kreiraće se nov/prazan prilikom normalnog starta klijenta

Probao sam na živom serveru Ubuntu 14.04.1 X64 i prolazi sve normalno kao kod Dragana.

Probao sam sve i svašta, na kraju isti rezultat. Na kraju ću odustati od copy.com klijenta -.-

Jedino da reinstaliraš sistem pa pokušaš ponovo…

Probao i to. Ništa, ostavićemo temu otvorenu, pa kad skontam koje je rešenje, napisaću odgovor.

Ajde ako te ne mrzi instaliraj debian pa pokušaj sa njega to isto…

Potpuno mi je čudno da takva trivijalna stvar ne može da prođe… zapravo nepostavljaš ti tu nikakve deamone i slično koji drndaju fizički hardver već obična skripta…

Instalirao debian,…

[email protected]:~$ uname -a
Linux server 3.2.0-4-686-pae #1 SMP Debian 3.2.60-1+deb7u3 i686 GNU/Linux

[email protected]:~/copy/x86$ ./CopyConsole [email protected] -r=/home/goran/Copy -p=mojalozinka
Floating point exception
Opet isto…

Da li si probao da skines copy sa zvanicnog sajta i startujes izvrsnu datoteku?
Ja ga tako koristim.

Pa to sve vreme i radim :slight_smile:

Hmmmm…

Ovde je najverovatnije problem do kompajlera, ali mi nije jasno zbog čega je problem na sveže instaliram distroima.

Ajde ovako, nadji (verovatno u OPT dir-u) gde ti se nalazi libgcc_s.so.1 i preimenuj ga u libgcc_s.so.1_off

Pa javi rezultat…

P.S. Koja verzija GCC ti je instalirana!?

Verzija gcc-a:

[email protected]:/# gcc -v
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/i486-linux-gnu/4.7/lto-wrapper
Target: i486-linux-gnu
Configured with: …/src/configure -v --with-pkgversion=‘Debian 4.7.2-5’ --with-bugurl=file:///usr/share/doc/gcc-4.7/README.Bugs --enable-languages=c,c++,go,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-4.7 --enable-shared --enable-linker-build-id --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.7 --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --enable-gnu-unique-object --enable-plugin --enable-objc-gc --enable-targets=all --with-arch-32=i586 --with-tune=generic --enable-checking=release --build=i486-linux-gnu --host=i486-linux-gnu --target=i486-linux-gnu
Thread model: posix
gcc version 4.7.2 (Debian 4.7.2-5)

Probao sam da preimenujem, nakon toga da ponovo pokrenem onu skriptu za copy.com i isto. Inače nalazi se u /lib/i386-linux-gnu/

Bezveze totalno…

Inače malo me buni ovaj podatak : [COLOR=rgb(102,0,102)]Target[COLOR=rgb(102,102,0)]: i486[COLOR=rgb(102,102,0)]-linux[COLOR=rgb(102,102,0)]-gnu zar ne bi trebalo da je i686?! Mislim neki neuki bi rekli pa to je isto… nije isto jer i486 je imao raznih problema još kada su bili pre pentium računari, dok je arhitektura sa i686 ispeglala sada to i gotovo da ne postoje više clusteri za i486 jer je sama tehnologija jako stara (početkom 1990).

Inače koji procesor imaš!?

P.S. Ajde pokušaj (ako te ne mrzi više) da instaliraš novi gcc, mislim da je 4.9 najnovija verzija.

Procesor je AMD Athlon:

[email protected]:/# cat /proc/cpuinfo
processor : 0
vendor_id : AuthenticAMD
cpu family : 6
model : 8
model name : AMD Athlon™ Processor
stepping : 0
cpu MHz : 1262.236
cache size : 256 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 1
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up
bogomips : 2524.47
clflush size : 32
cache_alignment : 32
address sizes : 34 bits physical, 32 bits virtual
power management: ts

Nego sad gledam, buni me ovo što si napomenuo i486, uradio sam make -v i dobio:

[email protected]:/# make -v
GNU Make 3.81
Copyright © 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.

This program built for i486-pc-linux-gnu
[email protected]:/#

Sad sam tek u dilemi…

Daj kompletnu oznaku modela procesora, ako se nevaram po keš veličini i frekvenciji na kojoj radi AMD, reko bih da ti je procesor proizveden davne 2001 godine, što pokazuje da nema podršku čak ni za sse2 već samo sse

Moguće ako je stariji tip u pitanju da onda koristi stari i486 kernel odnosno jedini ispravan za tu arhitekturu a sa druge strane Copy.com skripta zahteva minimum SSE2 za pokretanje i da se tu javlja problem prilikom kompajlera.

Vidi ako umeš da instaliraš linux_i686_kernel umesto i486 pa prilikom boot-a podigni taj umesto default i486 i pokušaj ponovo instalaciju.